_Eina_Inarray Struct Reference
Eina » Data Types » Containers » Inline Array

Inline array structure. More...

`#include <eina_inarray.h>`

## Data Fields

int | version
| Should match the EINA_ARRAY_VERSION used when compiling your apps, provided for ABI compatibility.
unsigned int | member_size
| Byte size of each entry in the members.
unsigned int | len
| Number of elements used by the members.
unsigned int | max
| Number of elements allocated to the members.
unsigned int | step
| Amount to grow the number of members allocated.
void * | members
| Actual array of elements.

## Detailed Description

Inline array structure.

Note
  Use Eina_Inarray instead.
  Do not modify these fields directly, use eina_inarray_step_set() or eina_inarray_new() instead.

Since
  1.2